allura-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From kentontay...@apache.org
Subject [allura] 04/04: [#8311] re-sort req.in, and split out a req-dev.in/txt Upgrade pytz for compat with sphinx->babel->pytz
Date Wed, 10 Jul 2019 20:03:42 GMT
This is an automated email from the ASF dual-hosted git repository.

kentontaylor pushed a commit to branch master
in repository https://gitbox.apache.org/repos/asf/allura.git

commit d9e36cd9c9b3fa2ea1225f125795f54037a45bda
Author: Dave Brondsema <dave@brondsema.net>
AuthorDate: Thu Jun 27 10:10:16 2019 -0400

    [#8311] re-sort req.in, and split out a req-dev.in/txt  Upgrade pytz for compat with sphinx->babel->pytz
---
 requirements-dev.in                      | 10 +++++++++
 requirements.txt => requirements-dev.txt | 10 +++++----
 requirements.in                          | 38 +++++++++++---------------------
 requirements.txt                         | 21 ++++--------------
 4 files changed, 33 insertions(+), 46 deletions(-)

diff --git a/requirements-dev.in b/requirements-dev.in
new file mode 100644
index 0000000..68bc62e
--- /dev/null
+++ b/requirements-dev.in
@@ -0,0 +1,10 @@
+-r requirements.in
+
+# development-only dependencies
+# nothing needed at runtime or for tests
+
+pip-tools==3.8.0
+q==2.3
+sphinx-argparse==0.2.5
+sphinx-rtd-theme==0.1.6
+sphinxcontrib-programoutput==0.8
diff --git a/requirements.txt b/requirements-dev.txt
similarity index 93%
copy from requirements.txt
copy to requirements-dev.txt
index 51adf17..b71d980 100644
--- a/requirements.txt
+++ b/requirements-dev.txt
@@ -2,20 +2,21 @@
 # This file is autogenerated by pip-compile
 # To update, run:
 #
-#    pip-compile
+#    pip-compile requirements-dev.in
 #
 activitystream==0.2.2
 alabaster==0.7.12         # via sphinx
 asn1crypto==0.24.0        # via cryptography
 astroid==1.3.8            # via pylint
-babel==1.3                # via sphinx
+babel==2.7.0              # via sphinx
 backlash==0.1.4
 beaker==1.6.4
 beautifulsoup4==4.6.1
 beautifulsoup==3.2.0
-bleach==3.1.0
+bleach==3.1.0             # via pypeline
 cffi==1.12.2              # via cryptography
 chardet==1.0.1
+click==7.0                # via pip-tools
 colander==1.7.0
 crank==0.8.1              # via turbogears2
 creoleparser==0.7.5       # via pypeline
@@ -55,6 +56,7 @@ paste==3.0.1
 pastedeploy==1.5.2
 pastescript==2.0.2
 pillow==5.2.0
+pip-tools==3.8.0
 poster==0.8.1
 pycparser==2.19           # via cffi
 pyflakes==0.8.1
@@ -67,7 +69,7 @@ pysolr==3.6.0
 python-dateutil==1.5
 python-magic==0.4.3
 python-oembed==0.2.1
-pytz==2014.10
+pytz==2019.1
 q==2.3
 qrcode==5.3
 repoze.lru==0.7           # via turbogears2
diff --git a/requirements.in b/requirements.in
index de7464a..e82dc30 100644
--- a/requirements.in
+++ b/requirements.in
@@ -2,24 +2,28 @@ ActivityStream==0.2.2
 BeautifulSoup==3.2.0
 beautifulsoup4==4.6.1
 Beaker==1.6.4
-bleach==3.1.0
+backlash==0.1.4
 chardet==1.0.1
 colander==1.7.0
+cryptography==2.6.1
 decorator==3.3.2
 EasyWidgets==0.3.2
+emoji==0.5.1
 faulthandler==2.1
 feedparser==5.1.3
 FormEncode==1.2.4
+GitPython==2.1.11
 html5lib==1.0.1
 Jinja2==2.10
 Markdown==2.2.1
+markdown-checklist==0.4.1
+MarkupSafe==1.0
 Ming==0.5.6
 oauth2==1.5.170
 Paste==3.0.1
 PasteDeploy==1.5.2
 PasteScript==2.0.2
 Pillow==5.2.0
-poster==0.8.1
 Pygments==2.2.0
 pymongo==2.8.1
 Pypeline[creole,markdown,textile,rst]==0.5
@@ -27,7 +31,7 @@ pysolr==3.6.0
 python-dateutil==1.5
 python-magic==0.4.3
 python-oembed==0.2.1
-pytz==2014.10
+pytz==2019.1
 qrcode==5.3
 requests==2.11.1
 requests-oauthlib==0.4.0
@@ -36,35 +40,19 @@ setproctitle==1.1.9
 six==1.12.0
 TimerMiddleware==0.5.0
 TurboGears2==2.3.12
-WebOb==1.7.4
-
-cryptography==2.6.1
-
-backlash==0.1.4
-MarkupSafe==1.0
 WebHelpers==1.3
+WebOb==1.7.4
 
-GitPython==2.1.11
-
-# testing & development
+# testing
 datadiff==1.1.5
 ipython==1.2.1
 mock==1.0.1
 nose==1.3.4
+poster==0.8.1
 pyflakes==0.8.1
-WebTest==2.0.33
-testfixtures==3.0.0
 pylint==1.4.4
-q==2.3
-sphinx-argparse==0.2.5
-sphinx-rtd-theme==0.1.6
-sphinxcontrib-programoutput==0.8
+testfixtures==3.0.0
+WebTest==2.0.33
 
 # deployment
-gunicorn==19.4.5
-
-# markdown extensions
-markdown-checklist==0.4.1
-
-# emoji library
-emoji==0.5.1
+gunicorn==19.4.5
\ No newline at end of file
diff --git a/requirements.txt b/requirements.txt
index 51adf17..b953b53 100644
--- a/requirements.txt
+++ b/requirements.txt
@@ -5,15 +5,13 @@
 #    pip-compile
 #
 activitystream==0.2.2
-alabaster==0.7.12         # via sphinx
 asn1crypto==0.24.0        # via cryptography
 astroid==1.3.8            # via pylint
-babel==1.3                # via sphinx
 backlash==0.1.4
 beaker==1.6.4
 beautifulsoup4==4.6.1
 beautifulsoup==3.2.0
-bleach==3.1.0
+bleach==3.1.0             # via pypeline
 cffi==1.12.2              # via cryptography
 chardet==1.0.1
 colander==1.7.0
@@ -22,7 +20,7 @@ creoleparser==0.7.5       # via pypeline
 cryptography==2.6.1
 datadiff==1.1.5
 decorator==3.3.2
-docutils==0.14            # via pypeline, sphinx
+docutils==0.14            # via pypeline
 easywidgets==0.3.2
 emoji==0.5.1
 enum34==1.1.6             # via colander, cryptography
@@ -36,7 +34,6 @@ gitpython==2.1.11
 gunicorn==19.4.5
 html5lib==1.0.1
 httplib2==0.7.4           # via oauth2
-imagesize==1.1.0          # via sphinx
 ipaddress==1.0.22         # via cryptography
 ipython==1.2.1
 iso8601==0.1.12           # via colander
@@ -50,7 +47,6 @@ mock==1.0.1
 nose==1.3.4
 oauth2==1.5.170
 oauthlib==0.4.2           # via requests-oauthlib
-packaging==19.0           # via sphinx
 paste==3.0.1
 pastedeploy==1.5.2
 pastescript==2.0.2
@@ -61,14 +57,12 @@ pyflakes==0.8.1
 pygments==2.2.0
 pylint==1.4.4
 pymongo==2.8.1
-pyparsing==2.4.0          # via packaging
 pypeline[creole,markdown,rst,textile]==0.5
 pysolr==3.6.0
 python-dateutil==1.5
 python-magic==0.4.3
 python-oembed==0.2.1
-pytz==2014.10
-q==2.3
+pytz==2019.1
 qrcode==5.3
 repoze.lru==0.7           # via turbogears2
 requests-oauthlib==0.4.0
@@ -76,18 +70,11 @@ requests==2.11.1
 setproctitle==1.1.9
 six==1.12.0
 smmap2==2.0.4             # via gitdb2
-snowballstemmer==1.9.0    # via sphinx
-sphinx-argparse==0.2.5
-sphinx-rtd-theme==0.1.6
-sphinx==1.8.5             # via sphinx-argparse, sphinx-rtd-theme, sphinxcontrib-programoutput
-sphinxcontrib-programoutput==0.8
-sphinxcontrib-websupport==1.1.2  # via sphinx
 testfixtures==3.0.0
 textile==3.0.4            # via pypeline
 timermiddleware==0.5.0
 translationstring==1.3    # via colander
 turbogears2==2.3.12
-typing==3.7.4             # via sphinx
 waitress==1.3.0           # via webtest
 webencodings==0.5.1       # via bleach, html5lib
 webhelpers==1.3
@@ -95,4 +82,4 @@ webob==1.7.4
 webtest==2.0.33
 
 # The following packages are considered to be unsafe in a requirements file:
-# setuptools==41.0.1        # via logilab-common, sphinx
+# setuptools==41.0.1        # via logilab-common


Mime
View raw message